Subject: Re: [PATCH 2/2] Move sequencer to builtin

From: Stefano Lattarini <[email-masked]>
Date: Mon, 10 Jun 2013 01:40:06 +0200

[Sorry for the full quote, but sometimes, repetita iuvant]

On 06/09/2013 11:42 PM, Michael Haggerty wrote:
> On 06/09/2013 09:11 PM, Johan Herland wrote:
>> [...]
>> FWIW, I'd like to express my support for the opinions expressed by
>> Jonathan, Jeff and Thomas. They accurately describe my impression of
>> these discussion threads.
> 
> I also agree.  In my opinion, Felipe, your abrasiveness, your disregard
> of project standards, and your eternal argumentativeness outweigh the
> benefit of your contributions, large though they may be.
> 
> Writing code is only a small part of keeping the Git project going.
> 
> * Reviewing code is an essential, more thankless, and therefore more
> precious, contribution.  Therefore the Git project has standards to make
> code review less unpleasant and more effective; for example: (1) patches
> shouldn't cause regressions; (2) commit messages have to be written to
> very high standards; (3) reviewers' comments should be accepted
> gratefully and taken very seriously.  Almost everybody in the Git
> community accepts these standards.  Felipe, you do not seem to.  The
> result is that reviewers' time and goodwill are wasted, and they
> justifiably feel unvalued.  We can't afford to misuse reviewers; they
> are the bedrock (and the bottleneck) of the project.
> 
> * Gaining and keeping contributors is important to maintaining the
> success of the project.  The mailing list is the main forum for the
> development community; therefore, it is important that the mailing list
> be a place where people display a high degree of technical excellence,
> but also respect for one another, friendliness (or at least a lack of
> hostility), and discussions that do turn into flame wars.  It is
> possible to have a profound technical disagreement without losing
> respect for the other side; contrariwise it is NOT acceptable to twist a
> technical disagreement into a personal attack, even by the slightest
> insinuation.  Felipe, in my opinion your participation in the mailing
> list lowers the tone dramatically, and will result in loss of other
> contributors and the failure to attract new contributors.
> 
> Felipe, I wish that you would devote a small fraction of your prodigious
> energy to the very difficult challenge of feeling empathy,
> understanding, and respect for the other members of the community.  But
> if things continue the way they have, I personally would, with sadness
> in my heart, prefer to forgo your patches in exchange for the more
> important benefit of a more collegial (and therefore overall more
> productive and sustainable) community.
> 
> Michael
> 
FWIW, from the meager but I hope not utterly irrelevant point
of view of a non-contrib-but-not-clueless user as I am:

  *a complete and hear-felt +1 on what Michael said here*

Until a couple of months ago, skimming this list was mostly a real
pleasure, and would often give me some valuable insight on the
upcoming features/incompatibilities of Git, help me organize my own
workflow as a Git user, and also steadily improve my understanding
and command of netiquette in both "generic" mailing lists and Open
Source and/or Free Software communities.

Now, when I open my mail and get to the "git" folder, I more and
more end up asking myself:

  1. "What kind of flame am I going to have to see today?"; and

  2. "How much chaff will I have to navigate through to finally
      to get to interesting stuff (if any is actually left)?"

*To reiterate:*

Sadly, the environment of the Git mailing list has been steadily
and slowly *sinking* -- sinking from being pleasant and useful
and even "educational", into being annoying and frustrating and
often somewhat toxic.  I usually jeer and despise he who makes
public accusations by simply adding his voice to the disapproval
of the "community", but this time, I feel compelled to do exactly
that:

  I do accuse Felipe's *attitude* to bring on and nourish such
  unpleasantness toxicity.  His technical merits and the possible
  qualities of his patches do *nothing* to remove or quell such
  issues.

Sorry for the extra potential controversy, but sometimes one has
to speak up,

  Stefano